> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-alterrule.md).

# ALTER RULE

### ALTER RULE

ALTER RULE — change the definition of a rule

### Synopsis

```

ALTER RULE name ON table_name RENAME TO new_name
```

### Description

`ALTER RULE` changes properties of an existing rule. Currently, the only available action is to change the rule's name.

To use `ALTER RULE`, you must own the table or view that the rule applies to.

### Parameters

*`name`* : The name of an existing rule to alter.

*`table_name`* : The name (optionally schema-qualified) of the table or view that the rule applies to.

*`new_name`* : The new name for the rule.

### Examples

To rename an existing rule:

```

ALTER RULE notify_all ON emp RENAME TO notify_me;
```

### Compatibility

`ALTER RULE` is a PostgreSQL language extension, as is the entire query rewrite system.

### See Also

[CREATE RULE](/reference/sql-commands/sql-createrule.md), [DROP RULE](/reference/sql-commands/sql-droprule.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-alterrule.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-alterrule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
